Skip to main content
GET
List Event Types

Authorizations

Authorization
string
header
required

You can generate a Personal Access Token from your settings.

Query Parameters

organization_id

Filter by organization ID. The organization ID.

Example:

"1dbfc517-0bbf-4301-9ba8-555ca42b9737"

customer_id

Filter by customer ID. The customer ID.

external_customer_id

Filter by external customer ID.

query
string | null

Query to filter event types by name or label.

root_events
boolean
default:false

When true, only return event types with root events (parent_id IS NULL).

parent_id
string<uuid> | null

Filter by specific parent event ID.

source
enum<string> | null

Filter by event source (system or user).

Available options:
system,
user
page
integer
default:1

Page number, defaults to 1.

limit
integer
default:10

Size of a page, defaults to 10. Maximum is 100.

sorting
enum<string>[] | null

Sorting criterion. Several criteria can be used simultaneously and will be applied in order. Add a minus sign - before the criteria name to sort by descending order.

Available options:
name,
-name,
label,
-label,
occurrences,
-occurrences,
first_seen,
-first_seen,
last_seen,
-last_seen

Response

Successful Response

items
EventTypeWithStats · object[]
required
pagination
Pagination · object
required